Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextInlineObject

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextInlineObject

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QTextInlineObject

extends QtJambiObject
implements java.lang.Cloneable

The `QTextInlineObject` class represents an inline object in a `QTextLayout`. This class is only used if the text layout is used to lay out parts of a `QTextDocument`.

The inline object has various attributes that can be set, for example using, `setWidth()`, `setAscent()`, and `setDescent()`. The rectangle it occupies is given by `rect()`, and its direction by isRightToLeft(). Its position in the text layout is given by at(), and its format is given by `format()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Method Summary
`double` | `ascent()` Returns the inline object's ascent.
`QTextInlineObject` | `clone()` This method is reimplemented for internal reasons
`double` | `descent()` Returns the inline object's descent.
`QTextFormat` | `format()` Returns format of the inline object within the text layout.
`int` | `formatIndex()` Returns an integer describing the format of the inline object within the text layout.
`static QTextInlineObject` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextInlineObject instance pointed to by `nativePointer`.
`double` | `height()` Returns the inline object's total height.
`boolean` | `isValid()` Returns true if this inline object is valid; otherwise returns false.
`static QNativePointer` | `nativePointerArray(QTextInlineObject[] array)` This function returns a QNativePointer that is pointing to the specified QTextInlineObject array.
`QRectF` | `rect()` Returns the inline object's rectangle.
`void` | `setAscent(double a)` Sets the inline object's ascent to `a`.
`void` | `setDescent(double d)` Sets the inline object's decent to `d`.
`void` | `setWidth(double w)` Sets the inline object's width to `w`.
`Qt.LayoutDirection` | `textDirection()` Returns if the object should be laid out right-to-left or left-to-right.
`int` | `textPosition()` The position of the inline object within the text layout.
`double` | `width()` Returns the inline object's width.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### ascent

    public final double ascent()

  Returns the inline object's ascent.

See also:
  `setAscent()`, `descent()`, `width()`, and `rect()`.

### descent

    public final double descent()

  Returns the inline object's descent.

See also:
  `setDescent()`, `ascent()`, `width()`, and `rect()`.

### format

    public final QTextFormat format()

  Returns format of the inline object within the text layout.

### formatIndex

    public final int formatIndex()

  Returns an integer describing the format of the inline object within the text layout.

### height

    public final double height()

  Returns the inline object's total height. This is equal to `ascent()` + `descent()` + 1.

See also:
  `ascent()`, `descent()`, `width()`, and `rect()`.

### isValid

    public final boolean isValid()

  Returns true if this inline object is valid; otherwise returns false.

### rect

    public final QRectF rect()

  Returns the inline object's rectangle.

See also:
  `ascent()`, `descent()`, and `width()`.

### setAscent

    public final void setAscent(double a)

  Sets the inline object's ascent to `a`.

See also:
  `ascent()`, `setDescent()`, `width()`, and `rect()`.

### setDescent

    public final void setDescent(double d)

  Sets the inline object's decent to `d`.

See also:
  `descent()`, `setAscent()`, `width()`, and `rect()`.

### setWidth

    public final void setWidth(double w)

  Sets the inline object's width to `w`.

See also:
  `width()`, `ascent()`, `descent()`, and `rect()`.

### textDirection

    public final Qt.LayoutDirection textDirection()

  Returns if the object should be laid out right-to-left or left-to-right.

### textPosition

    public final int textPosition()

  The position of the inline object within the text layout.

### width

    public final double width()

  Returns the inline object's width.

See also:
  `setWidth()`, `ascent()`, `descent()`, and `rect()`.

### fromNativePointer

    public static QTextInlineObject fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextInlineObject instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextInlineObject[] array)

  This function returns a QNativePointer that is pointing to the specified QTextInlineObject array.

### clone

    public QTextInlineObject clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD